Subject: bug#30926: closed (Re: bug#30926: [PATCH] Add coala and coala-bears.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Jul 2021 12:10:02 +0000

Your bug report

#30926: [PATCH] Add coala and coala-bears.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30926: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30926
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30926: [PATCH] Add coala and coala-bears.
From: Maxim Cournoyer <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked], zimoun <[email-masked]>
Date: Tue, 13 Jul 2021 08:09:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Chris,

Christopher Baines <[email-masked]> writes:

> zimoun <[email-masked]> writes:
>
>> This seems suiting a first contribution: review the packages in:
>>
>>     <http://git.cbaines.net/guix/log/?h=coala>
>>
>> and added them to ’master’.
>>
>> Chris do you accept to share the commit (Co-authored-by) with the person
>> who will do the job? (Since some work is required.)  If yes, it can be
>> tagged as ’easy’ and then used by some applicants.  WDYT?
>
> Each package will require some work, although the work I did previously
> will hopefully act as a guide. If someone wants to submit mergable
> patches for these packages, that's fine with me.

Thanks for sharing!  Unfortunately, time has passed, and it seems it
failed to gain the interest of someone to drive it to completion.

I'm thus closing this ticket.

Feel free to resubmit it anew if you pick it up again, or send it to
guix-devel as an abandoned WIP to have it archived somewhere.

Thanks,

Maxim

Subject: [PATCH] Add coala and coala-bears.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 24 Mar 2018 14:31:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: moreinfo

Coala is a static analysis tool for software which provides an interface
to a variety of tools.

I've got a branch which includes the imported packages for Coala needed
to make it work. I've only just started looking at using Coala, and I've
only been looking at the Ruby related tooling so far.

Anyway, there is a branch up here if anyone is interested [1].

1: http://git.cbaines.net/guix/log/?h=coala

Christopher Baines (36):
  Fix python-flake8-polyfill
  gnu: Add python-sybil.
  gnu: Add python-sarge.
  gnu: Add python-unidiff.
  gnu: Add python-testfixtures.
  gnu: Add python-pyprint.
  gnu: Add python-libclang-py3.
  gnu: Add python-coala-utils.
  gnu: Add python-dependency-management.
  gnu: Add python-colorlog.
  gnu: Add coala.
  gnu: Add python-autoflake.
  gnu: Add python-cmakelint.
  gnu: Add python-cppclean.
  gnu: Add python-cpplint.
  gnu: Add python-dennis.
  gnu: Add python-eradicate.
  gnu: Add python-guess-language-spirit.
  gnu: Add python-template-remover.
  gnu: Add python-html-linter.
  gnu: Add python-mypy-lang.
  gnu: Add python-proselint.
  gnu: Add python-pydocstyle.
  gnu: Add python-pyroma.
  gnu: Add python-restructuredtext-lint.
  gnu: Add python-rstcheck.
  gnu: Add python-dparse.
  gnu: Add python-safety.
  gnu: Add python-scspell3k.
  gnu: Add python-ansicolor.
  gnu: Add python-vim-vint.
  gnu: Add python-vulture.
  gnu: Add python-pathspec.
  gnu: Add python-yamllint.
  gnu: Add python-munkres3.
  gnu: Add coala-bears.

 gnu/packages/python.scm | 859 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 857 insertions(+), 2 deletions(-)